.email-input-wrap,
.phone-input-wrap,
.input__code-verify-wrap,
.phone-input-error-wrap {
  position: relative;
}

.email-input-wrap input {
  padding-left: 40px;
}

.error-email-message,
.error-phone-message,
.error-code-message {
  position: absolute;
  z-index: 10;
  top: 0;
  transform: translateY(-46%);
  left: 10px;
  font-size: 12px;
  padding: 2px 6px;
  border-left: 1px solid #393630;
  border-right: 1px solid #393630;
  background-color: #020202;
  border-radius: 10px;
  color: red;

  opacity: 0;
  pointer-events: none;
}

.check-bocks-error {
  position: absolute;
  z-index: 10;
  top: 0;
  transform: translateY(-60%);
  right: 10px;
  font-size: 12px;
  padding: 1px 6px;
  background-color: #020202;
  border-bottom: 1px solid #393630;
  border-radius: 10px;
  color: red;

  opacity: 0;
  pointer-events: none;
}

.input-wrap {
  position: relative;
}

#promocode-input {
  padding-left: 40px;
}

.input-icon,
.dropdown-icon {
  position: absolute;
  left: 8px;
  top: 50%;
  transform: translateY(-50%);
  height: 24px;
  width: auto;
}

.dropdown__head {
  position: relative;
  padding-left: 40px;
}

.register-country {
  margin-bottom: 0;
}

.dropdown__list li span {
  font-size: 20px;
  color: rgba(242, 243, 245, 0.5);
}

.dropdown__list .dropdown-icon {
  height: 46%;
}

.code-verify-icon.input-icon {
  height: 40%;
}

.register-country .dropdown__head {
  padding: 14px 28px 14px 17px;
}

.register-drop-currency li {
  padding-left: 12px !important;
}

.register-drop-currency .dropdown__head {
  cursor: pointer;
}

.register-drop-currency img:last-child,
.dropdown__head img:last-child {
  width: 10px;
  height: 10px;
}

.dropdown-icon {
  pointer-events: none;
}

.input-wrapper {
  display: flex;
  gap: 8px;
  max-width: 100%;
}

.code-input {
  width: 40px;
  height: 50px;
  background-color: #1a1a1a;
  border-radius: 8px;
  text-align: center;
  outline: none;
  caret-color: transparent;
  font-size: 20px;
}

.code-input.error-state {
  border: 1px solid var(--accent);
  color: var(--accent);
}

.container-inputs {
  display: flex;
  gap: 16px;
  flex-direction: column;
}

.resend-button {
  text-transform: uppercase;
  text-decoration: underline;
  color: #e1e1e1;
  font-size: 14px;
}

@media (max-height: 750px) and (min-width: 769px) and (max-width: 1024px) {
  .animate-text-wrap {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .animate-text-wrap svg text {
    font-size: 36px;
  }

  .text1 img {
    width: 73%;
    margin: 0 auto;
  }

  .text1 .title-text.ru {
    font-size: 22px;
  }
}

@media (max-height: 630px) and (min-width: 769px) and (max-width: 1024px) {
  .form__wrap {
    margin-bottom: 10px;
  }
}

@media screen and (max-width: 1024px) {
  .error-email-message {
    font-size: 10px;
  }

  .dropdown__list li span {
    font-size: 22px;
  }
}

@media screen and (max-width: 768px) {
  .send-sms-wrap {
    margin-bottom: 16px;
  }
}

@media screen and (max-width: 530px) {
  .form__block {
    position: static;
  }

  .container-inputs {
    flex-direction: row;
    gap: 8px;
    width: 100%;
  }

  .send-sms-wrap,
  .phone__input-wrap {
    margin-bottom: 0;
  }

  .input-wrap .input,
  .dropdown__head {
    border-radius: 8px;
    width: 100%;
  }

  .dropdown__head {
    min-width: 160px;
  }

  .input-wrap,
  .register-drop-bonus {
    margin-top: 8px;
    width: 50%;
  }

  .email-input-wrap {
    width: 100%;
  }

  .register-drop-currency {
    margin-top: -8px;
  }

  .dropdown__list li {
    height: var(--mobile-height);
  }

  .dropdown__list li span {
    font-size: 12px;
  }

  .register-drop-currency img:last-child,
  .dropdown__head img:last-child {
    width: 24px;
  }
}
